CUfilePerGpuStats(3)

NAME
CUfilePerGpuStats - Per-GPU statistics structure used in Level 3.

SYNOPSIS

#include <cufile.h>

  Data Fields

uint64_t n_dr_reads
uint64_t n_dr_writes
uint64_t n_inline_regions
uint64_t n_mmap
uint64_t n_mmap_err
uint64_t n_mmap_free
uint64_t n_mmap_ok
uint64_t n_nvfs_reads
uint64_t n_nvfs_writes
uint64_t n_p2p_reads
uint64_t n_p2p_writes
uint64_t n_posix_reads
uint64_t n_posix_writes
uint64_t n_reads_err
uint64_t n_sparse_regions
uint64_t n_total_reads
uint64_t n_total_writes
uint64_t n_unaligned_reads
uint64_t n_unaligned_writes
uint64_t n_writes_err
uint64_t read_bw_bytes_per_sec
uint64_t read_bytes
uint64_t read_duration_us
uint64_t read_utilization
uint64_t reg_bytes
char uuid [16]
uint64_t write_bw_bytes_per_sec
uint64_t write_duration_us
uint64_t write_utilization
uint64_t writes_bytes

Detailed Description

Per-GPU statistics structure used in Level 3.

Field Documentation

  uint64_t CUfilePerGpuStats::n_dr_reads

  uint64_t CUfilePerGpuStats::n_dr_writes

  uint64_t CUfilePerGpuStats::n_inline_regions

  uint64_t CUfilePerGpuStats::n_mmap

  uint64_t CUfilePerGpuStats::n_mmap_err

  uint64_t CUfilePerGpuStats::n_mmap_free

  uint64_t CUfilePerGpuStats::n_mmap_ok

  uint64_t CUfilePerGpuStats::n_nvfs_reads

  uint64_t CUfilePerGpuStats::n_nvfs_writes

  uint64_t CUfilePerGpuStats::n_p2p_reads

  uint64_t CUfilePerGpuStats::n_p2p_writes

  uint64_t CUfilePerGpuStats::n_posix_reads

  uint64_t CUfilePerGpuStats::n_posix_writes

  uint64_t CUfilePerGpuStats::n_reads_err

  uint64_t CUfilePerGpuStats::n_sparse_regions

  uint64_t CUfilePerGpuStats::n_total_reads

  uint64_t CUfilePerGpuStats::n_total_writes

  uint64_t CUfilePerGpuStats::n_unaligned_reads

  uint64_t CUfilePerGpuStats::n_unaligned_writes

  uint64_t CUfilePerGpuStats::n_writes_err

  uint64_t CUfilePerGpuStats::read_bw_bytes_per_sec

  uint64_t CUfilePerGpuStats::read_bytes

  uint64_t CUfilePerGpuStats::read_duration_us

  uint64_t CUfilePerGpuStats::read_utilization

  uint64_t CUfilePerGpuStats::reg_bytes

  char CUfilePerGpuStats::uuid[16]

  uint64_t CUfilePerGpuStats::write_bw_bytes_per_sec

  uint64_t CUfilePerGpuStats::write_duration_us

  uint64_t CUfilePerGpuStats::write_utilization

  uint64_t CUfilePerGpuStats::writes_bytes

Author

Generated automatically by Doxygen for GPUDirect Storage from the source code.